function [ ] = Demo( )
% Demonstration Code

% ========== Load Init Image & Sequence of Tracked Point======
data = load('Data\features.txt'); 
% 34th frame is neutral face
startframe = 34;
faceimg = imread('Data\trackface034color.bmp'); 

% % ======= First Refine the Shape parameters (do it once for each subject)
vecfile = 'Data\Vecs';  % CANDIDE-3 vectors 
out_shapefile = 'Data\SUVPar_New.txt' % output shape parameters 
RefineShape(vecfile, data, startframe, out_shapefile, faceimg) 

% ======== Given the Shape parameters, Refine the action unit parameters (do it for
% every frame)
in_shapefile = 'Data\SUVPar_New.txt' %Adjusted Shape parameters
out_aufile = 'Data\AUVPar_New.txt' %Output Action Unit Parameters
startframe = 34;
endframe = 200;
disp = true;
RefineAUV(vecfile, in_shapefile, data, startframe, endframe, out_aufile,disp)



